Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • App Installations
  • Atlassian GraphQL
  • Confluence
  • Forge Context
  • Forge Dynamic Modules
  • Forge Events
  • Forge KVS
  • Forge LLM
  • Forge Object Store
  • Forge Proxy
  • Forge Realtime
  • Forge SQL
  • Jira
Platform
Forge / Reference / APIs for Forge Containers

Forge Events

Postman Collection
OpenAPI

Forge async events endpoints for submitting events to queues

POST

Publish Async Events to Forge

Submit asynchronous events to the Forge events system. Events are queued for processing and will be delivered to the specified queue.

Forge and OAuth2 apps cannot access this REST resource.

Request

Header parameters

forge-proxy-authorization

string

Required
Content-Type

string

Request bodyapplication/json

Async events data to be submitted

queueName

string

Required
events

array<AsyncEvent>

Required

Responses

Events submitted successfully

application/json

object

POST/atlassian/forge/events/v1/async-events
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/atlassian/forge/events/v1/async-events' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "queueName": "my-app-events", "events": [ { "body": { "payload": { "key": "value", "userId": "123", "action": "user_login" } } } ] }'

Rate this page: